## ros-indigo-safe-teleop-pr2 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(safe_teleop_pr2)

find_package(catkin REQUIRED COMPONENTS)
catkin_package()

install(DIRECTORY launch config
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

=== debian/changelog ===
ros-indigo-safe-teleop-pr2 (0.0.2-0trusty) trusty; urgency=high

  * CMakeLists.txt : change catkin_package() (#9 <https://github.com/SharedAutonomyToolkit/shared_autonomy_manipulation/issues/9> )
  * CMakeLists.txt : fix install error (#8 <https://github.com/SharedAutonomyToolkit/shared_autonomy_manipulation/issues/8>)
  * Contributors: Kei Okada

 -- Charles DuHadway (maintained by Benjamin Pitzer) <foo@foo.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-indigo-safe-teleop-pr2 (0.0.1-0trusty) trusty; urgency=high

  * add 'ROS Orphaned Package Maintainers' as maintainer (#6 <https://github.com/SharedAutonomyToolkit/shared_autonomy_manipulation/pull/6>)
  * safe_teleop_pr2 and safe_teleop_stage do not require safe_teleop_base at
    build time (#3 <https://github.com/SharedAutonomyToolkit/shared_autonomy_manipulation/pull/3>)
  * changed branch and fixed launch file
  * catkinize the packages to work on hydro (#1 <https://github.com/SharedAutonomyToolkit/shared_autonomy_manipulation/pull/1>)
  * fixed authors/maintainers in manifest files
  * moved to shared_autonomy
  * Contributors: Benjamin Pitzer, Ryohei Ueda, Sarah Osentoski, Yuki Furuta

 -- Charles DuHadway (maintained by Benjamin Pitzer) <foo@foo.com>  Thu, 06 Jul 2017 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-safe-teleop-pr2
Section: misc
Priority: extra
Maintainer: Charles DuHadway (maintained by Benjamin Pitzer) <foo@foo.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/safe_teleop_pr2
Standards-Version: 3.9.2

Package: ros-indigo-safe-teleop-pr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joy, ros-indigo-pr2-teleop, ros-indigo-safe-teleop-base
Description: Launch files for running safe_teleop_base on pr2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-safe-teleop-pr2//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
